silent failure when uploading file when no version specified
2008-10-02 01:02 - Andrew Stitt

Status: Closed Start date: 2008-10-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

If | attempt to add a new file under the 'files' tab and | do not specify a version, then the operation appears to succeed, but the file is
not shown in the file listing. If after adding a version in the settings tab, then selecting it while adding the file, then | get the expected
behavior.

This issue is against the silent failure of the upload. Redmine should show an error when trying to upload a file without selecting the
required version field.

Related issues:
Is duplicate of Redmine - Defect #1053: Unable to upload file via file menu d... Closed 2008-04-13

History

#1 - 2008-10-02 03:51 - Mischa The Evil

This is probably, at least, related to #1053. Maybe it's even a duplicate of it, but I'm not sure...

#2 - 2008-10-02 19:49 - Andrew Stitt

redmine version is svn trunk@r1921

database is postgres 8.1.8

os fedora-core 5

x86

ruby 1.8.5 (2007-03-13 patchlevel 35) [i386-linux]
rails 2.1.0

A warning in the Ul when the version field is not specified would be sufficient for my deployment.

On the other hand, there is no default version field for a project, | have to specify one for each project | create. If a new project had a default it would
be harder to leave the field blank and would be more convenient.

In anycase, please mark a duplicate if applicable.

#3 - 2008-12-08 09:32 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicates #1053.
